# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KKeyServer::Variations Struct Reference

TODO: please document this class. More...

`#include <kkeyserver_x11.h>`

Collaboration diagram for KKeyServer::Variations:

[legend]
List of all members.

## Public Types

enum | { MAX_VARIATIONS = 4 }

## Public Member Functions

void | init (const KKey &, bool bQt)
uint | count () const
const Key & | key (uint i) const

## Public Attributes

Key | m_rgkey [MAX_VARIATIONS]
uint | m_nVariations

## Detailed Description

TODO: please document this class.

Definition at line 244 of file kkeyserver_x11.h.

The documentation for this struct was generated from the following files:

- kkeyserver_x11.h
- kkeyserver_x11.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003